Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 445423 - hdf5 long double tests fail on ppc64
Summary: hdf5 long double tests fail on ppc64
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hdf5
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2008-05-06 19:55 UTC by Orion Poplawski
Modified: 2011-11-22 22:20 UTC (History)
1 user (show)

Fixed In Version: hdf5-1.8.7-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-22 22:20:41 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2008-05-06 19:55:00 UTC
See http://koji.fedoraproject.org/koji/getfile?taskID=596775&name=build.log

Can remove some of the failures by changing CFLAGS to "-m64", but not all:

Testing soft normalized long double -> long conversions               *FAILED*
Testing soft normalized long double -> unsigned long conversions      *FAILED*
Testing soft long -> long double conversions                          *FAILED*
Testing soft unsigned long -> long double conversions                 *FAILED*

Comment 1 Orion Poplawski 2008-05-06 20:16:34 UTC
-fno-strict-aliasing doesn't help.

Comment 2 Kevin Kofler 2008-05-09 15:51:06 UTC
Why don't you just %ifnarch ppc64 the call to make check?

Comment 3 Orion Poplawski 2008-05-09 16:12:40 UTC
Well, I rather not ship a broken library.  I'm still in communication with
upstream.  Looks like long double support may be considered experimental at this
point, so I may disable the check on ppc64 for now.

Comment 4 Orion Poplawski 2008-11-16 02:55:53 UTC
Shipping hdf5 on pp64 with tests disabled.  Keep testing new releases to see if this gets fixed.


Note You need to log in before you can comment on or make changes to this bug.